document.addEventListener('DOMContentLoaded', function () {
  const bookButtons = document.querySelectorAll('.book-button');

  bookButtons.forEach(button => {
    button.addEventListener('click', function () {
      const court = this.getAttribute('data-court');
      alert(`Booking court: ${court}`);
    });
  });

  const contactForm = document.querySelector('.contact-form');
  contactForm.addEventListener('submit', function (e) {
    e.preventDefault();
    alert('Thank you for your message! We will get back to you soon.');
    contactForm.reset();
  });
});